QGIS Application - Bug report #13724
QGIS 2.12 won't open on OS X El Capitan
2015-10-31 06:31 PM - Christopher James

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:2.12.0 Regression?: No
Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 21751
Description

| have the same problem as Tele-Pet "QGIS Cannot be opened because of a problem. Check with the developer to make sure QGIS
works with this version of OS X. You may need to reinstall the application. Be sure to install any available updates for the application and
OS X." - Tele-Pet 2 days ago", with the only difference being that the message is in Spanish (my system language). iMac 20", early 2008,
2.66GHz, 4GB memory, OS X 10.11.1

Thanks for any help you can provide

History

#1 - 2015-10-31 09:08 PM - Josiah Wahlrab

This is not exactly a solution, but | am able to run QGIS 2.12 since downgrading my OS from EI Capitan back to Yosemite. Specifically, after backing up
needed data, | wiped my drive and installed Yosemite via a USB stick that installed a Yosemite installer onto.

#2 - 2015-11-02 01:00 PM - Alexander Salveson Nossum

Experienced the same issue. Reinstalled PROJ from [1]. This fixed the issue for me on El Capitan with 2.12

[1] http://www.kyngchaos.com/software/frameworks

#3 - 2015-11-06 01:17 AM - Giovanni Manghi

- Target version deleted (Version 2.12)

- Crashes QGIS or corrupts data changed from Yes to No
- Status changed from Open to Feedback

- Category set to Build/Install

Please try the suggested solution in comment #2 and report back, thanks.

#4 - 2015-11-08 04:14 PM - Rhenriques Henriques
Hi
I'm running QGIS 2.12 just fine in OSX El Capitan. Try to reinstall some additional frameworks as suggested before. Other possible cause, if the first

suggestion fails is some misplaced or bad installed item into this folder: "/Users/your user name/.qgis2". This is an invisible folder. To access it, try to open
a window, do CMD+SHIFT+G and paste this line with your correct user name: /Users/your user name/.qgis2
http://www.kyngchaos.com/software/frameworks

Try to remove everything from inside and restart qgis. You will loose recent project menu access, installed plugins and so, but you can get a stable QGIS.
After you only need to re-download your favorite plugins.
Cheers

R. Henriques

#5 - 2015-12-19 10:06 AM - Giovanni Manghi
- Status changed from Feedback to Closed

- Resolution set to worksforme

closing for lack of feedback.
